Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class HashSessionManager

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.servlet.AbstractSessionManager
              org.mortbay.jetty.servlet.HashSessionManager

All Implemented Interfaces:
  LifeCycle, SessionManager

    public class HashSessionManager

extends AbstractSessionManager

An in-memory implementation of SessionManager.

Author:
  Greg Wilkins (gregw)

Nested Class Summary
`protected class` | `HashSessionManager.Session`

Nested classes/interfaces inherited from class org.mortbay.jetty.servlet.AbstractSessionManager
`AbstractSessionManager.NullSessionContext, AbstractSessionManager.SessionIf`

Field Summary
`protected Map` | `_sessions`

Fields inherited from class org.mortbay.jetty.servlet.AbstractSessionManager
`__distantFuture, _context, _dftMaxIdleSecs, _httpOnly, _loader, _maxCookieAge, _maxSessions, _minSessions, _nodeIdInSessionId, _refreshCookieAge, _secureCookies, _sessionAttributeListeners, _sessionCookie, _sessionDomain, _sessionHandler, _sessionIdManager, _sessionListeners, _sessionPath, _sessionURL, _sessionURLPrefix`

Fields inherited from interface org.mortbay.jetty.SessionManager
`__DefaultSessionCookie, __DefaultSessionDomain, __DefaultSessionURL, __MaxAgeProperty, __SessionCookieProperty, __SessionDomainProperty, __SessionPathProperty, __SessionURLProperty`

Constructor Summary
`HashSessionManager()`

Method Summary
`protected void` | `addSession(AbstractSessionManager.Session session)`
`void` | `doStart()`
`void` | `doStop()`
`int` | `getScavengePeriod()`
`AbstractSessionManager.Session` | `getSession(String idInCluster)` Get a known existingsession
`Map` | `getSessionMap()`
`int` | `getSessions()`
`protected void` | `invalidateSessions()`
`protected AbstractSessionManager.Session` | `newSession(HttpServletRequest request)` Create a new session instance
`protected void` | `removeSession(String clusterId)`
`void` | `setMaxInactiveInterval(int seconds)`
`void` | `setScavengePeriod(int seconds)`

Methods inherited from class org.mortbay.jetty.servlet.AbstractSessionManager
`access, addEventListener, addSession, clearEventListeners, complete, getClusterId, getHttpOnly, getHttpSession, getIdManager, getMaxCookieAge, getMaxInactiveInterval, getMaxSessions, getMetaManager, getMinSessions, getNodeId, getRefreshCookieAge, getSecureCookies, getSessionCookie, getSessionCookie, getSessionDomain, getSessionHandler, getSessionPath, getSessionURL, getSessionURLPrefix, isNodeIdInSessionId, isUsingCookies, isValid, newHttpSession, removeEventListener, removeSession, removeSession, resetStats, setHttpOnly, setIdManager, setMaxCookieAge, setMetaManager, setNodeIdInSessionId, setRefreshCookieAge, setSecureCookies, setSessionCookie, setSessionDomain, setSessionHandler, setSessionPath, setSessionURL, setUsingCookies`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Field Detail

### _sessions

    protected Map _sessions

Constructor Detail

### HashSessionManager

    public HashSessionManager()

Method Detail

### doStart

    public void doStart()
                 throws Exception

  Overrides:
    `doStart` in class `AbstractSessionManager`
  Throws:
    `Exception`

### doStop

    public void doStop()
                throws Exception

  Overrides:
    `doStop` in class `AbstractSessionManager`
  Throws:
    `Exception`

### getScavengePeriod

    public int getScavengePeriod()

  Returns:
    seconds

### getSessionMap

    public Map getSessionMap()

  Specified by:
    `getSessionMap` in class `AbstractSessionManager`

### getSessions

    public int getSessions()

  Specified by:
    `getSessions` in class `AbstractSessionManager`

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int seconds)

  Specified by:
    `setMaxInactiveInterval` in interface `SessionManager`
  Overrides:
    `setMaxInactiveInterval` in class `AbstractSessionManager`

### setScavengePeriod

    public void setScavengePeriod(int seconds)

  Parameters:
    `seconds` -

### addSession

    protected void addSession(AbstractSessionManager.Session session)

  Specified by:
    `addSession` in class `AbstractSessionManager`

### getSession

    public AbstractSessionManager.Session getSession(String idInCluster)

  Description copied from class: `AbstractSessionManager`
  Get a known existingsession

  Specified by:
    `getSession` in class `AbstractSessionManager`
  Parameters:
    `idInCluster` - The session ID in the cluster, stripped of any worker name.
  Returns:
    A Session or null if none exists.

### invalidateSessions

    protected void invalidateSessions()

  Specified by:
    `invalidateSessions` in class `AbstractSessionManager`

### newSession

    protected AbstractSessionManager.Session newSession(HttpServletRequest request)

  Description copied from class: `AbstractSessionManager`
  Create a new session instance

  Specified by:
    `newSession` in class `AbstractSessionManager`
  Returns:

### removeSession

    protected void removeSession(String clusterId)

  Specified by:
    `removeSession` in class `AbstractSessionManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.